package com.atguigu.product.service.impl;

import com.atguigu.product.mapper.CategoryMapper;
import com.atguigu.product.service.CategoryService;
import com.atguigu.spzx.model.entity.product.Category;
import com.atguigu.utils.CategoryHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CategoryServiceImpl implements CategoryService {
    @Autowired
    private CategoryMapper categoryMapper;

    /**
     * 查询以及分类
     *
     * @return 分类实体类列表
     */
    @Override
    public List<Category> selectOneCategory() {
        return categoryMapper.findOneCategory();
    }

    /**
     * 查询属性结构
     *
     * @return 分类实体类列表
     */
    @Override
    public List<Category> findCategoryTree() {
        // 查询所以分类，返回list集合
        List<Category> categoryList = categoryMapper.findAll();
        return CategoryHelper.buildTree(categoryList);
    }
}
